Name: icinga-notifications-web
Version: 0.1.0
Release: 1.fc41
Summary: Icinga Notifications Web facilitates incident and recipients management for your Icinga stack

Group: Applications/System

License: GPLv2

URL: https://icinga.com
Source0: icinga-notifications-web-0.1.0.tgz

Requires: icingaweb2 >= 2.9.0
Requires: icinga-notifications-web-php = 0.1.0-1.fc41

Recommends: icinga-desktop-notifications = 0.1.0-1.fc41

BuildArch: noarch

%description
Icinga Notifications Web provides a very simple but sophisticated way of
managing incidents and configuring recipients, escalations etc. for your
entire Icinga stack.

%package php
Summary: Icinga Notifications Web PHP files
Requires: icingaweb2-common >= 2.9.0
Requires: icinga-php-library >= 0.14.0
Requires: icinga-php-thirdparty >= 0.12.0
Requires: php-json
Requires: php-pdo
Requires: php-pdo_mysql
Requires: php-pdo_pgsql

%description php
PHP files for Icinga Notifications Web.

%package -n icinga-desktop-notifications
Summary: Icinga Desktop Notifications files
BuildRequires: systemd-rpm-macros
Requires: icinga-notifications-web-php = 0.1.0-1.fc41
Requires: icingacli >= 2.9.0

%description -n icinga-desktop-notifications
Daemon files for Icinga Desktop Notifications.

%prep
%autosetup

%install
install -Dpm 0644 config/systemd/icinga-desktop-notifications.service %_topdir/BUILD/icinga-notifications-web-0.1.0-build/BUILDROOT/usr/lib/systemd/system/icinga-desktop-notifications.service

install -dpm 0755 %_topdir/BUILD/icinga-notifications-web-0.1.0-build/BUILDROOT/usr/share/icingaweb2/modules/notifications
cp -prv * %_topdir/BUILD/icinga-notifications-web-0.1.0-build/BUILDROOT/usr/share/icingaweb2/modules/notifications

install -dm 0755 %_topdir/BUILD/icinga-notifications-web-0.1.0-build/BUILDROOT/usr/share/doc/icinga-notifications-web
cp -v README.md %_topdir/BUILD/icinga-notifications-web-0.1.0-build/BUILDROOT/usr/share/doc/icinga-notifications-web/
cp -rv doc %_topdir/BUILD/icinga-notifications-web-0.1.0-build/BUILDROOT/usr/share/doc/icinga-notifications-web/

%post php
if [ $1 == 1 ]; then
ln --symbolic --no-dereference --verbose --target-directory=/etc/icingaweb2/enabledModules /usr/share/icingaweb2/modules/notifications || true
fi

%preun php
if [ $1 == 0 ]; then
rm --force --verbose /etc/icingaweb2/enabledModules/notifications
fi

%files

%files php
%license LICENSE
/usr/share/doc/icinga-notifications-web
/usr/share/icingaweb2/modules/notifications

%post -n icinga-desktop-notifications

if [ $1 -eq 1 ] && [ -x "/usr/lib/systemd/systemd-update-helper" ]; then
/usr/lib/systemd/systemd-update-helper install-system-units icinga-desktop-notifications.service || :
fi

%preun -n icinga-desktop-notifications

if [ $1 -eq 0 ] && [ -x "/usr/lib/systemd/systemd-update-helper" ]; then
/usr/lib/systemd/systemd-update-helper remove-system-units icinga-desktop-notifications.service || :
fi

%postun -n icinga-desktop-notifications

if [ $1 -ge 1 ] && [ -x "/usr/lib/systemd/systemd-update-helper" ]; then
/usr/lib/systemd/systemd-update-helper mark-restart-system-units icinga-desktop-notifications.service || :
fi

%files -n icinga-desktop-notifications
/usr/lib/systemd/system/icinga-desktop-notifications.service

%changelog
* Fri Nov 15 2024 Icinga GmbH <info@icinga.com> - 0.1.0-1.fc41
- Version 0.1.0-1

